/*
============================================================================
 Name        : SyMazeApp.h
 Author      : Konstantin Tretyakov
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Declares main application class.
============================================================================
*/

#ifndef SYMAZEAPP_H
#define SYMAZEAPP_H

#include <aknapp.h>

// UID of the application
const TUid KUidSyMaze = { 0x02F4FAB3 };

/*
 * CSyMazeApp application class.
 * Provides factory to create concrete document object.
 */
class CSyMazeApp : public CAknApplication {
    private:
        CApaDocument* CreateDocumentL();
        TUid AppDllUid() const;
};

#endif



